# Uses of Enum
org.apache.commons.math3.util.MathArrays.OrderDirection

Packages that use MathArrays.OrderDirection
Package
Description
org.apache.commons.math3.exception
Specialized exceptions for algorithms errors.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of MathArrays.OrderDirection in org.apache.commons.math3.exception

Methods in org.apache.commons.math3.exception that return MathArrays.OrderDirection
Modifier and Type
Method
Description
`MathArrays.OrderDirection`
NonMonotonicSequenceException.`getDirection()`
Constructors in org.apache.commons.math3.exception with parameters of type MathArrays.OrderDirection
Modifier
Constructor
Description
``
`NonMonotonicSequenceException(Number wrong, Number previous, int index, MathArrays.OrderDirection direction, boolean strict)`
Construct the exception.

## Uses of MathArrays.OrderDirection in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return MathArrays.OrderDirection
Modifier and Type
Method
Description
`static MathArrays.OrderDirection`
MathArrays.OrderDirection.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MathArrays.OrderDirection[]`
MathArrays.OrderDirection.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.util with parameters of type MathArrays.OrderDirection
Modifier and Type
Method
Description
`static void`
MathArrays.`checkOrder(double[] val, MathArrays.OrderDirection dir, boolean strict)`
Check that the given array is sorted.
`static boolean`
MathArrays.`checkOrder(double[] val, MathArrays.OrderDirection dir, boolean strict, boolean abort)`
Check that the given array is sorted.
`static boolean`
MathArrays.`isMonotonic(double[] val, MathArrays.OrderDirection dir, boolean strict)`
Check that an array is monotonically increasing or decreasing.
`static <T extends Comparable<? super T>>
boolean`
MathArrays.`isMonotonic(T[] val, MathArrays.OrderDirection dir, boolean strict)`
Check that an array is monotonically increasing or decreasing.
`static void`
MathArrays.`sortInPlace(double[] x, MathArrays.OrderDirection dir, double[]... yList)`
Sort an array in place and perform the same reordering of entries on other arrays.